Name:		rosa-freeze-ui
Version:	0.9
Release:	3
Group:		System/Base
Summary:	ROSA Freeze GUI
License:	BSD
Url:		http://wiki.rosalab.ru/en/index.php/ROSA_Freeze
Source0:	https://abf.io/soft/%{name}/archive/%{name}-%{version}.tar.gz
Source1:        rosa-freeze-16.png
Source2:        rosa-freeze-22.png
Source3:        rosa-freeze-32.png
Source4:        rosa-freeze-48.png
Source5:        rosa-freeze-64.png
Source6:        rosa-freeze-128.png
Source7:        rosa-freeze-256.png
Source100:	%{name}.rpmlintrc
BuildArch:	noarch
Requires:	rosa-freeze >= 0.7.3
Requires:	python-qt5-widgets
Requires:	python-qt5-gui
Provides:	rfreeze-ui

%description
GUI for ROSA Freeze

%prep
%setup -q

%build

%install
install -m700 -D rfreeze.py %{buildroot}%{_sbindir}/rfreeze-ui

mkdir -p %{buildroot}%{py_puresitedir}/rosa_freeze_ui
cp -r rosa_freeze_ui/*py %{buildroot}%{py_puresitedir}/rosa_freeze_ui/

mkdir -p %{buildroot}%{_datadir}/%{name}/i18n
cp *qm %{buildroot}%{_datadir}/%{name}/i18n/

mkdir -p %{buildroot}%{_bindir}
ln -sf %{_bindir}/consolehelper %{buildroot}%{_bindir}/rfreeze-ui

mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps

for s in 16 22 32 48 64 128 256; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${s}x${s}/apps/
done

install -m 0644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m 0644 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/22x22/apps/%{name}.png
install -m 0644 %{SOURCE3} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m 0644 %{SOURCE4} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m 0644 %{SOURCE5} %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
install -m 0644 %{SOURCE6} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
install -m 0644 %{SOURCE7} %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

cat > %{buildroot}%{_sysconfdir}/security/console.apps/rfreeze-ui <<EOF
USER=root
PROGRAM=/usr/sbin/rfreeze-ui
FALLBACK=false
SESSION=true
EOF

cat > %{buildroot}%{_sysconfdir}/pam.d/rfreeze-ui  <<EOF
#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util
EOF


mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Version=1.0
Name=ROSA Freeze
Name[ru]=ROSA Freeze
Comment=Freeze your system before experiments
Comment[ru]=Заморозка состояния системы для экспериментального или неквалифицированного использования
Exec=%{_bindir}/rfreeze-ui
Icon=rosa-freeze-ui
Terminal=false
Type=Application
Categories=System;
EOF

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name} --with-qt --all-name

%files -f %{name}.lang
%{_bindir}/*
%{_sbindir}/*
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/security/console.apps/rfreeze-ui
%{py_puresitedir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*


%changelog

* Thu Jun 23 2016 Ural Mullabaev <ural.mullabaev@rosalab.ru> 0.9-3
- (f814f36) Change icon


